angular.module('focaBusquedaProductos')
    .service('focaBusquedaProductosService', [
        '$http',
        'API_ENDPOINT',
        function($http, API_ENDPOINT) {
            return {
                getProductos: function() {
                    return $http.get(API_ENDPOINT.URL + '/articulos');
                },
                getProductosByIdLista: function(id, filters) {
                    return $http.post(API_ENDPOINT.URL + '/articulos/lista',
                        {filters: filters, id: id});
                }
            };
        }
    ]);
